Bug 1754575 - samba: Remove NSS wins and winbind dependency on librt/libpthread as workaround for glibc defect.
Summary: samba: Remove NSS wins and winbind dependency on librt/libpthread as workarou...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: samba
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.2
Assignee: Andreas Schneider
QA Contact: Andrej Dzilský
URL:
Whiteboard:
Depends On:
Blocks: 1760824
TreeView+ depends on / blocked
 
Reported: 2019-09-23 15:46 UTC by Carlos O'Donell
Modified: 2020-04-28 16:59 UTC (History)
17 users (show)

Fixed In Version: samba-4.10.4-100.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1748197
: 1760824 (view as bug list)
Environment:
Last Closed: 2020-04-28 16:58:36 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1748197 unspecified CLOSED glibc: Reduce IFUNC resolver usage in libpthread and librt 2020-11-04 04:38:32 UTC
Red Hat Product Errata RHSA-2020:1878 None None None 2020-04-28 16:59:11 UTC
Samba Project 14140 None None None 2019-10-11 10:04:27 UTC

Description Carlos O'Donell 2019-09-23 15:46:32 UTC
During an in-place upgrade the libnss_winbind and libnss_wins, known as the "winbind" and "wins" service providers for NSS, can trigger a glibc defect which causes the upgrade to fail.

If the dependency on librt and libpthread were removed from winbind and wins then it would allow in-place upgrades for systems that have /etc/nsswitch.conf with such service providers.

The glibc fix is going to take much longer (involves failures in dependencies marked NODELETE), so in the meantime any other workaround helps resolve in-place upgrade issues.

The related glibc bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1748197

Comment 4 Andreas Schneider 2019-09-23 15:58:10 UTC
It looks like Isaac and I have a patchset which should address the issue. Currently we are checking if the upstream CI will pass with it. We will do tests tomorrow if it works as expected.

Comment 5 Isaac Boukris 2019-09-24 10:26:44 UTC
The patchset manages to avoid linking nss_winbind module against rt and pthread, but the wins module still link against pthread and we can't avoid it there.

Comment 11 errata-xmlrpc 2020-04-28 16:58:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1878


Note You need to log in before you can comment on or make changes to this bug.